Package org.spongepowered.asm.mixin.transformer.ext.extensions

## Class ExtensionCheckInterfaces

- java.lang.Object
- - org.spongepowered.asm.mixin.transformer.ext.extensions.ExtensionCheckInterfaces

- All Implemented Interfaces:
    `IExtension`

      public class ExtensionCheckInterfaces
      extends java.lang.Object
      implements IExtension

  Checks whether interfaces declared on mixin target classes are actually fully implemented and generates reports to the console and to files on disk

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExtensionCheckInterfaces()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `checkActive​(MixinEnvironment environment)` | Check whether this extension is active for the specified environment
    `void` | `export​(MixinEnvironment env, java.lang.String name, boolean force, org.objectweb.asm.tree.ClassNode classNode)` | Called when a class needs to be exported
    `void` | `postApply​(ITargetClassContext context)` | Called after the mixins are applied
    `void` | `preApply​(ITargetClassContext context)` | Called before the mixins are applied

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtensionCheckInterfaces

          public ExtensionCheckInterfaces()

  - ### Method Detail

    - #### checkActive

          public boolean checkActive​(MixinEnvironment environment)

      Description copied from interface: `IExtension`
      Check whether this extension is active for the specified environment
      Specified by:
        `checkActive` in interface `IExtension`
      Parameters:
        `environment` - current environment
      Returns:
        true if the module should be active in the specified environment

    - #### preApply

          public void preApply​(ITargetClassContext context)

      Description copied from interface: `IExtension`
      Called before the mixins are applied
      Specified by:
        `preApply` in interface `IExtension`
      Parameters:
        `context` - Target class context

    - #### postApply

          public void postApply​(ITargetClassContext context)

      Description copied from interface: `IExtension`
      Called after the mixins are applied
      Specified by:
        `postApply` in interface `IExtension`
      Parameters:
        `context` - Target class context

    - #### export

          public void export​(MixinEnvironment env,
                             java.lang.String name,
                             boolean force,
                             org.objectweb.asm.tree.ClassNode classNode)

      Description copied from interface: `IExtension`
      Called when a class needs to be exported
      Specified by:
        `export` in interface `IExtension`
      Parameters:
        `env` - Environment
        `name` - Class name
        `force` - True to export even if the current environment settings would normally disable it
        `classNode` - Class to export